<template>
  <div class="goods-table-item-list">
    <div v-for="(item, index) in showItems" :key="index">{{ item.str }}</div>
  </div>
</template>

<script>
export default {
  props: {
    items: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    showItems() {
      const list = this.items || []
      return list.map((item) => {
        const str = [
          `${item.flowerName} · ${item.flowerColor}`,
          item.flowerLevelStr,
          item.flowerCategory,
          item.flowerUnit,
          item.supplierName,
          `¥${item.price} × ${item.num}扎`,
        ]
          .filter((i) => !!i)
          .join('｜')
        return {
          str,
        }
      })
    },
  },
}
</script>

<style lang="scss" scoped>
.goods-table-item-list {
}
</style>
